# arm_scale_q7.c File Reference

CMSIS-DSP: arm_scale_q7.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_scale_q7.c File Reference

## Functions

void | arm_scale_q7 (const q7_t *pSrc, q7_t scaleFract, int8_t shift, q7_t *pDst, uint32_t blockSize)
| Multiplies a Q7 vector by a scalar. More...